Link an intent category
curl --request POST \
--url https://api.alpic.ai/v1/environments/{environmentId}/intent-categories/{categoryId}/link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"intentIds": [
"<string>"
]
}
'import requests
url = "https://api.alpic.ai/v1/environments/{environmentId}/intent-categories/{categoryId}/link"
payload = { "intentIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({intentIds: ['<string>']})
};
fetch('https://api.alpic.ai/v1/environments/{environmentId}/intent-categories/{categoryId}/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}insights
Link an intent category
Link an intent category to intents; already linked intents are ignored
POST
/
v1
/
environments
/
{environmentId}
/
intent-categories
/
{categoryId}
/
link
Link an intent category
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the environment
The ID of the category
Body
application/json
IDs of the intents to categorize
Required array length:
1 - 100 elementsMinimum string length:
1Response
The intents have been linked successfully
Was this page helpful?
⌘I